Subject: Re: [PATCH] completion: Make sed command that generates config-list.h portable.

From: Collin Funk <[email-masked]>
Date: Mon, 02 Jun 2025 12:20:44 -0700

Jean-Noël AVILA <[email-masked]> writes:

> Hello,
>
> I was on this issue here: 
> https://github.com/git/git/commit/e1b81f54da80267edee2cb8fd0d0f75f03023019
>
> Your proposed fix is interesting in that it does not spawn an additional 
> process, but it does not work for me (debian sh = dash).
>
> ᐅ diff config-list.h config-list.h.new
> 281d280
> <       "gitcvs.dbPass",
> 283c282
> <       "gitcvs.dbUser",
> ---
>>       "gitcvs.dbUser","$nl"   "gitcvs.dbPass",
> 350,351c349
> <       "http.lowSpeedLimit",
> <       "http.lowSpeedTime",
> ---
>>       "http.lowSpeedLimit","$nl"      "http.lowSpeedTime",
>
> If you'd like to test your patch on different systems and happen to have a 
> github account, you can open a PR to gitgitgadget/git . This will trigger 
> builds on several targets.

Thank you very much for checking! On my system /bin/sh is linked to
/bin/bash, so I did not notice.

I will send a V2 that works with the dash packaged by Fedora 42. It
produces the same output as bash and works on OpenBSD.

Collin